/*
* This file is part of OpenKC
*
* Copyright(c) Matthias Schöpfer (mschoepf@techfak.uni-bielefeld.de)
* http://opensource.cit-ec.de/projects/openkc
*
* This file may be licensed under the terms of of the
* GNU Lesser General Public License Version 3 (the ``LGPL''),
* or (at your option) any later version.
*
* Software distributed under the License is distributed
* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
* express or implied. See the LGPL for the specific language
* governing rights and limitations.
*
* You should have received a copy of the LGPL along with this
* program. If not, go to http://www.gnu.org/licenses/lgpl.html
* or write to the Free Software Foundation, Inc.,
* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
*
* The development of this software was supported by the
* Excellence Cluster EXC 277 Cognitive Interaction Technology.
* The Excellence Cluster EXC 277 is a grant of the Deutsche
* Forschungsgemeinschaft (DFG) in the context of the German
* Excellence Initiative.
*
*/

#include "fri_okc_comm.h"
#include "fri_okc_hostconfig.h"


int main (int argc, char** argv)
{
  okc_handle_t* okc;

  okc = okc_start_server (OKC_HOST,OKC_PORT,OKC_MODE_SETTER_AXIS);

  if (NULL == okc)
    {
      printf ("unable to start server\n");
      exit (EXIT_FAILURE);
    }
  
  printf ("waiting for robot to connect\n");

  while (OKC_OK != okc_is_robot_avail (okc,0))
    {
      sleep (1);
    }

  printf ("got connect, will idle 60 secs\n");

  sleep (60);

  printf ("Statistics:\n");

  okc_print_robot_informations (okc,0);

  printf ("stopping server\n");

  okc_stop_server (okc);

  return 0;

}
